## dh-virtualenv 1.2.2

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dh-virtualenv.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dh-virtualenv.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dh-virtualenv"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dh-virtualenv"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## dh-virtualenv 0.6

=== debian/changelog ===
dh-virtualenv (0.6-1) unstable; urgency=low

  * Closes: #727620

 -- Jyrki Pulliainen <jyrki@spotify.com>  Fri, 10 Jan 2014 16:33:30 +0100

=== debian/control ===
Source: dh-virtualenv
Section: python
Priority: extra
Maintainer: Jyrki Pulliainen <jyrki@spotify.com>
Build-Depends: debhelper (>= 9), python(>= 2.6.6-3~),
 python-setuptools, python-sphinx, python-mock
Standards-Version: 3.9.5
Homepage: http://www.github.com/spotify/dh-virtualenv
X-Python-Version: >= 2.6

Package: dh-virtualenv
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},  ${sphinxdoc:Depends},
 python-virtualenv (>= 1.7)
Description: wrap and build python packages using virtualenv
 This package provides a dh sequencer that helps you to deploy your
 virtualenv wrapped installation inside a Debian package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --with sphinxdoc

override_dh_auto_build:
	rst2man doc/dh_virtualenv.1.rst > doc/dh_virtualenv.1
	dh_auto_build

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs doc/_build/html

## dh-virtualenv 0.7

=== debian/changelog ===
dh-virtualenv (0.7-2) unstable; urgency=low

  * Fix virtualenv dependency. Closes: #751192
  * Fix cleaning with dh_auto_clean

 -- Jyrki Pulliainen <jyrki@spotify.com>  Wed, 11 Jun 2014 16:54:10 +0200

dh-virtualenv (0.7-1) unstable; urgency=low

  * New upstream release
  * Closes: #738964

 -- Jyrki Pulliainen <jyrki@spotify.com>  Sun, 18 May 2014 19:29:13 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: dh-virtualenv
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends},  ${sphinxdoc:Depends},
- python-virtualenv (>= 1.7)
+ virtualenv | python-virtualenv (>= 1.7)
 Description: wrap and build python packages using virtualenv
  This package provides a dh sequencer that helps you to deploy your
  virtualenv wrapped installation inside a Debian package.

## dh-virtualenv 0.10

=== debian/changelog ===
dh-virtualenv (0.10-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Oct 2015 06:10:51 -0400

dh-virtualenv (0.10-1) unstable; urgency=low

  * New upstream release

 -- Jyrki Pulliainen <jyrki@spotify.com>  Thu, 20 Aug 2015 13:00:55 +0200

dh-virtualenv (0.9-1) experimental; urgency=low

  * New upstream release

 -- Jyrki Pulliainen <jyrki@spotify.com>  Mon, 09 Mar 2015 09:59:26 +0100

dh-virtualenv (0.8-1) experimental; urgency=low

  * New upstream release

 -- Jyrki Pulliainen <jyrki@spotify.com>  Thu, 02 Oct 2014 10:06:32 +0200

## dh-virtualenv 0.11

=== debian/changelog ===
dh-virtualenv (0.11-1) unstable; urgency=low

  * New upstream release

 -- Jyrki Pulliainen <jyrki@spotify.com>  Tue, 29 Dec 2015 14:20:14 +0200

## dh-virtualenv 1.0

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jyrki Pulliainen <jyrki@spotify.com>
 Build-Depends: debhelper (>= 9), python(>= 2.6.6-3~),
  python-setuptools, python-sphinx, python-mock
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.github.com/spotify/dh-virtualenv
 X-Python-Version: >= 2.6

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 %:
 	dh $@ --with python2 --with sphinxdoc
+
+override_dh_auto_clean:
+	rm -rf doc/_build
+	rm -f doc/dh_virtualenv.1
+	rm -rf dh_virtualenv.egg-info
+	dh_auto_clean
 
 override_dh_auto_build:
 	rst2man doc/dh_virtualenv.1.rst > doc/dh_virtualenv.1

## dh-virtualenv 1.1

=== debian/changelog ===
dh-virtualenv (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Jyrki Pulliainen <jyrki@spotify.com>  Sun, 23 Sep 2018 12:50:10 +0200

dh-virtualenv (1.0-1) unstable; urgency=medium

  * New upstream release

 -- Jyrki Pulliainen <jyrki@spotify.com>  Tue, 11 Oct 2016 10:36:35 +0200

=== debian/control ===
Source: dh-virtualenv
Section: python
Priority: optional
Maintainer: Jyrki Pulliainen <jyrki@spotify.com>
Build-Depends: debhelper (>= 9), python(>= 2.6.6-3~),
 python-setuptools, python-sphinx, python-mock, dh-exec, dh-python,
# python-sphinx-rtd-theme doesn't exist in distributions
# predating Debian Jessie and Ubuntu Xenial. On these legacy
# systems:
# 1. Comment the dependency below.
# 2. pip install sphinx_rtd_theme.
# 3. Proceed with your build process (typically dpkg-build).
# See https://github.com/spotify/dh-virtualenv/issues/230
 python-sphinx-rtd-theme
Standards-Version: 4.2.1
Homepage: http://www.github.com/spotify/dh-virtualenv

Package: dh-virtualenv
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
 virtualenv | python-virtualenv (>= 1.7)
Description: wrap and build python packages using virtualenv
 This package provides a dh sequencer that helps you to deploy your
 virtualenv wrapped installation inside a Debian package.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh_auto_clean
 
 override_dh_auto_build:
-	rst2man doc/dh_virtualenv.1.rst > doc/dh_virtualenv.1
+	rst2man doc/dh_virtualenv.1.rst >doc/dh_virtualenv.1
 	dh_auto_build
 
 override_dh_installdocs:

## dh-virtualenv 1.2.1

=== debian/changelog ===
dh-virtualenv (1.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #936392)

 -- Jyrki Pulliainen <jyrki@dywypi.org>  Sun, 19 Jul 2020 22:36:19 +0300

dh-virtualenv (1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #936392)

 -- Jyrki Pulliainen <jyrki@dywypi.org>  Thu, 02 Jul 2020 21:26:02 +0300

=== debian/control ===
Source: dh-virtualenv
Section: python
Priority: optional
Maintainer: Jyrki Pulliainen <jyrki@dywypi.org>
Build-Depends: debhelper-compat (= 12), python3,
 python3-setuptools, python3-sphinx, python3-mock, dh-exec,
 dh-python, libjs-jquery, libjs-underscore,
# python-sphinx-rtd-theme doesn't exist in distributions
# predating Debian Jessie and Ubuntu Xenial. On these legacy
# systems:
# 1. Comment the dependency below.
# 2. pip install sphinx_rtd_theme.
# 3. Proceed with your build process (typically dpkg-build).
# See https://github.com/spotify/dh-virtualenv/issues/230
 python3-sphinx-rtd-theme
Standards-Version: 4.5.0
Homepage: https://www.github.com/spotify/dh-virtualenv
Rules-Requires-Root: no

Package: dh-virtualenv
Architecture: all
Depends: ${python3:Depends}, ${perl:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
 virtualenv | python3-virtualenv (>= 1.7) | python3-venv
Built-Using: ${sphinxdoc:Built-Using}
Description: wrap and build Python packages using virtualenv
 This package provides a dh sequencer that helps you to deploy your
 virtualenv wrapped installation inside a Debian package.

=== debian/rules ===
#!/usr/bin/make -f

DH_ARGS ?=
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	DH_ARGS += --with sphinxdoc
endif

%:
	dh $@ --buildsystem=pybuild --with python3 $(DH_ARGS)

override_dh_auto_clean:
	rm -rf doc/_build
	rm -f doc/dh_virtualenv.1
	rm -rf dh_virtualenv.egg-info
	dh_auto_clean

override_dh_auto_build:
	rst2man doc/dh_virtualenv.1.rst >doc/dh_virtualenv.1
	dh_auto_build

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
override_dh_installdocs:
	python3 setup.py build_sphinx
	ln -sf /usr/share/javascript/jquery/jquery.js doc/_build/html/_static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js doc/_build/html/_static/underscore.js
	dh_installdocs doc/_build/html

# Make Sphinxdocs build on Jessie and Xenial
override_dh_sphinxdoc:
	dh_sphinxdoc -X.rst.html -X.rst.txt \
	             -Xunderscore.js -Xjquery.js -X searchtools.js -X doctools.js
endif

## dh-virtualenv 1.2.2

=== debian/changelog ===
dh-virtualenv (1.2.2-1.4build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:14:28 +0100

dh-virtualenv (1.2.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Sphinx docs (Closes: #1042646)

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 17 Nov 2023 19:40:18 +0100

dh-virtualenv (1.2.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream patch for Python 3.11 support (Closes: #1030170)

 -- Kunal Mehta <legoktm@debian.org>  Thu, 02 Feb 2023 14:10:21 -0500

dh-virtualenv (1.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild to update python3.x-venv dependency. (Closes: #1017046)

 -- Kunal Mehta <legoktm@debian.org>  Thu, 25 Aug 2022 15:01:52 -0400

dh-virtualenv (1.2.2-1.1) unstable; urgency=medium

  * NMU.
  * Rebuild to update python3.X-venv dependency. Closes: #984766.

 -- Vincent Bernat <bernat@debian.org>  Mon, 08 Mar 2021 09:02:45 +0100

dh-virtualenv (1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #970810)

 -- Jyrki Pulliainen <jyrki@dywypi.org>  Thu, 22 Oct 2020 13:39:46 +0300

=== debian/control ===
Source: dh-virtualenv
Section: python
Priority: optional
Maintainer: Jyrki Pulliainen <jyrki@dywypi.org>
Build-Depends:
 debhelper-compat (= 12),
 python3,
 python3-docutils,
 python3-setuptools,
 python3-mock,
 dh-exec,
 dh-python,
 libjs-jquery,
 libjs-underscore,
Standards-Version: 4.5.0
Homepage: https://www.github.com/spotify/dh-virtualenv
Rules-Requires-Root: no

Package: dh-virtualenv
Architecture: all
Depends: ${python3:Depends}, ${perl:Depends}, ${misc:Depends},
 virtualenv | python3-virtualenv (>= 1.7) | python${pyversion}-venv
Description: wrap and build Python packages using virtualenv
 This package provides a dh sequencer that helps you to deploy your
 virtualenv wrapped installation inside a Debian package.

=== debian/rules ===
#!/usr/bin/make -f

DH_ARGS ?=

PYTHON_VERSION := $(shell python3 -c 'import sys; print("%s.%s" % sys.version_info[:2])')

%:
	dh $@ --buildsystem=pybuild --with python3 $(DH_ARGS)

override_dh_auto_clean:
	rm -rf doc/_build
	rm -f doc/dh_virtualenv.1
	rm -rf dh_virtualenv.egg-info
	dh_auto_clean

override_dh_auto_build:
	rst2man doc/dh_virtualenv.1.rst >doc/dh_virtualenv.1
	dh_auto_build

override_dh_gencontrol:
	dh_gencontrol -- -Vpyversion=$(PYTHON_VERSION)
